--- NVIDIA-Linux-x86_64-340.108-orig/kernel/nv-drm.c	2020-12-14 19:58:21.951120294 +0100
+++ NVIDIA-Linux-x86_64-340.108-new/kernel/nv-drm.c	2020-12-14 20:30:05.855962292 +0100
@@ -365,7 +365,11 @@
     struct nv_gem_object *nv_obj = container_of(obj, struct nv_gem_object, base);
     int page_count = obj->size >> PAGE_SHIFT;
 
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(5, 10, 0)
+    return drm_prime_pages_to_sg(obj->dev, nv_obj->pages, page_count);
+#else
     return drm_prime_pages_to_sg(nv_obj->pages, page_count);
+#endif
 }
 
 static void* nv_gem_prime_vmap(
